Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
how to install pacgen
Results 1 to 2 of 2

Thread: how to install pacgen

  1. #1

    how to install pacgen

    Hi,
    I am a newbie to linux.I am trying to install pacgen to generate that have a programmable time interval between them.
    The steps to install pacgen are as follows:
    1. Make sure you have Libnet installed, pacgen was written with 1.1.2.1
    installed.

    2. Read the README file


    3. Compile via the libnet-config script (at least this is how I did it):

    gcc `libnet-config --cflags --defines` pacgen.c -o pacgen \
    `libnet-config --libs`

    But when I type the command ,I get the following error
    [sabagour03@sabanyupoly pacgen-1.10]$ gcc `libnet-config --cflags --defines` pacgen.c -o pacgen `libnet-config --libs`
    bash: libnet-config: command not found
    bash: libnet-config: command not found
    /tmp/ccRE2XbO.o: In function `main':
    pacgen.c.text+0x24): undefined reference to `libnet_init'
    pacgen.c.text+0x214): undefined reference to `libnet_build_tcp'
    pacgen.c.text+0x239): undefined reference to `libnet_geterror'
    pacgen.c.text+0x2c9): undefined reference to `libnet_build_udp'
    pacgen.c.text+0x2ee): undefined reference to `libnet_geterror'
    pacgen.c.text+0x3d0): undefined reference to `libnet_build_ipv4'
    pacgen.c.text+0x3ec): undefined reference to `libnet_geterror'
    pacgen.c.text+0x450): undefined reference to `libnet_build_ethernet'
    pacgen.c.text+0x46c): undefined reference to `libnet_geterror'
    pacgen.c.text+0x4fc): undefined reference to `libnet_write'
    pacgen.c.text+0x59c): undefined reference to `libnet_destroy'
    pacgen.c.text+0x5a9): undefined reference to `libnet_destroy'
    /tmp/ccRE2XbO.o: In function `load_ip':
    pacgen.c.text+0xf49): undefined reference to `libnet_name2addr4'
    pacgen.c.text+0xf6d): undefined reference to `libnet_name2addr4'
    collect2: ld returned 1 exit status

    I would be happy to receive any information or instructions on installing pacgen.

    Regards to all

  2. #2

    how to install pacgen

    The error messages indicate that you have not properly installed libnet.

Similar Threads

  1. Can't install RH 8.0
    By noblestknight in forum Linux - General Topics
    Replies: 11
    Last Post: 11-05-2002, 04:17 AM
  2. Re-Install LILO after W2K Install
    By Pleiades in forum Linux - General Topics
    Replies: 12
    Last Post: 08-18-2002, 04:58 PM
  3. Help with install
    By Tyrekinyl in forum Mandriva
    Replies: 1
    Last Post: 08-16-2002, 07:23 PM
  4. Need Help with Install
    By rc2 in forum Mandriva
    Replies: 9
    Last Post: 05-22-2002, 05:18 PM
  5. GCC Install help
    By ericn in forum Linux - Software, Applications & Programming
    Replies: 1
    Last Post: 03-17-2002, 02:28 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •